#ifndef __HARDWARE_ID_H
#define __HARDWARE_ID_H

class HardwareId
{
public:
	static const char * GetCurrentHardwareId();
	static bool MatchCurrentHardwareId(const char * hwid);

private:
	static unsigned short HashString(const char * str);
	static unsigned short HashInt(int val);
	static string hardwareId;
};

#endif
